# PURLScheme Class Reference

`#include <url.h>`

Inheritance diagram for PURLScheme:

List of all members.

## Public Member Functions

virtual PString | GetName () const =0
virtual PBoolean | Parse (const PString &url, PURL &purl) const =0
virtual PString | AsString (PURL::UrlFormat fmt, const PURL &purl) const =0

## Member Function Documentation

virtual PString PURLScheme::AsString | ( | PURL::UrlFormat | fmt,
|  | const PURL & | purl |
| ) |  |  | const`[pure virtual]`

Implemented in PURLLegacyScheme.

virtual PString PURLScheme::GetName | ( |  | ) | const`[pure virtual]`

Implemented in PURLLegacyScheme.

virtual PBoolean PURLScheme::Parse | ( | const PString & | url,
|  | PURL & | purl |
| ) |  |  | const`[pure virtual]`

Implemented in PURLLegacyScheme.

The documentation for this class was generated from the following file:

- url.h